<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\goods_fee_standards;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\goods_fee_standards\GoodsFeeStandardsLists;
use app\adminapi\logic\goods_fee_standards\GoodsFeeStandardsLogic;
use app\adminapi\validate\goods_fee_standards\GoodsFeeStandardsValidate;


/**
 * GoodsFeeStandards控制器
 * Class GoodsFeeStandardsController
 * @package app\adminapi\controller
 */
class GoodsFeeStandardsController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/14 15:59
     */
    public function lists()
    {
        return $this->dataLists(new GoodsFeeStandardsLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/14 15:59
     */
    public function add()
    {
        $params = (new GoodsFeeStandardsValidate())->post()->goCheck('add');
        $result = GoodsFeeStandardsLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(GoodsFeeStandardsLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/14 15:59
     */
    public function edit()
    {
        $params = (new GoodsFeeStandardsValidate())->post()->goCheck('edit');
        $result = GoodsFeeStandardsLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(GoodsFeeStandardsLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/14 15:59
     */
    public function delete()
    {
        $params = (new GoodsFeeStandardsValidate())->post()->goCheck('delete');
        GoodsFeeStandardsLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/14 15:59
     */
    public function detail()
    {
        $params = (new GoodsFeeStandardsValidate())->goCheck('detail');
        $result = GoodsFeeStandardsLogic::detail($params);
        return $this->data($result);
    }


}